header {
	--menu-height: 64px;
	--menu-padding: min(2vw, 48px);
	--menu-button-padding: 24px;

	--button-size: 32px;
	--button-padding: 16px;

	position: sticky;
	top: 0;
	z-index: 10;
	height: var(--menu-height);
	padding: 0 var(--menu-padding);

	background-color: black;
}

header > a[href="#main"] {
	position: absolute;
	display: block;
	left: 250px;
	top: -100px;
	padding: 8px;
	border-radius: 4px;
	color: white;
	transition: top ease-out 250ms;
}
header > a[href="#main"]:focus,
header > a[href="#main"]:focus-within { top: 3px; }

header > nav { 
	height: 100%;
	display: flex; 
}

header > nav li { 
	height: 100%;
	list-style-type: none; 
}

header > nav li > a {
	display: flex;
	align-items: center;
	height: 100%;
	box-sizing: border-box;

	padding: 0 var(--menu-button-padding);

	font-size: 18pt;
	font-weight: 500;
	color: white;
	text-decoration: none;
	font-family: var(--font-script);
	opacity: 0.75;
}
header > nav li > a:hover,
header > nav li > a:focus {
	opacity: 1;
}

header > nav > li:first-of-type > a { 
	font-size: 24pt; 
	opacity: 1;
}
header > nav > li:first-of-type > a > span {
	font-size: 16pt;
	font-weight: bold;
	margin-left: 2px;
	color: var(--accent-color);
}
header > nav > menu > li > a.active { 
	text-decoration: underline solid var(--accent-color);
	text-decoration-thickness: 3px;
}

header > nav > label#menu-toggle {
	position: relative;
	font-size: 0px;
	width: var(--button-size);
	height: var(--button-size);
	padding: var(--button-padding);
	background-color: transparent;
}
header > nav > label#menu-toggle::before {
	content: '';
	position: absolute;
	width: var(--button-size);
	height: var(--button-size);
	left: var(--button-padding);
	top: var(--button-padding);
	transform: translateX(calc(var(--button-size) + var(--button-padding) * 2 - 1px));

	background-color: white;
	clip-path: polygon(0% 0%, 100% 0%, 100% 100%, 0% 100%, 0 84%, 100% 84%, 100% 58%, 0 58%, 0 42%, 100% 42%, 100% 16%, 0 16%);
}
header > nav > input#menu-toggle-input { 
	width: calc(var(--button-size) + var(--button-padding) * 2 - 2px);
	height: calc(var(--button-size) + var(--button-padding) * 2 - 5px);
	margin: 3px 0 0 0;
	box-sizing: border-box;
	
	appearance: none;
}
header > nav > menu {
	display: flex;
	margin: 0;
}

@media (min-width: 851px) {
	header > nav > label#menu-toggle,
	header > nav > input#menu-toggle-input {
		display: none;
	}
}
@media (max-width: 850px) {
	header > nav > menu {
		display: none;
		position: absolute;
		flex-direction: column;
		background-color: #222;
		gap: 12px;
		right: -154px;
		top: var(--menu-height); 
		z-index: 100;
		padding: 16px 12px;
		min-height: calc(100vh - var(--menu-height));
		transition: right 300ms ease-in-out;
	}

	header > nav > input#menu-toggle-input:checked ~ menu {
		display: flex;
		right: 0;
	}
}